---
title: "Update logistics information for a Return Fulfillment"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/update-logistics-information-for-a-return-fulfillment'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/update-logistics-information-for-a-return-fulfillment.md'
---
# Update logistics information for a Return Fulfillment

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_return`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /return_express_update.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_return`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `id`

  string

  Return invoice id

* `reunrn_id`

  string

  Return shipping idy

* `tracking_info`

  object

  Logistics information

  * `tracking_url`

    string

    Logistics tracking URL

  * `tracking_company`

    string

    Logistics company name

  * `tracking_number`

    string

    Third party tracking number

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `return_packages`

  array<object>

  Return invoice

  * `id`

    string

    Return invoice unique business id

  * `return_id`

    string

    Associated return id

  * `reverse_delivery_line_items`

    array<object>

    Return invoice Product line information

    * `quantity`

      integer

      Return invoice Product quantity

    * `reverse_fulfillment_order_line_item`

      object

      Return shipping list Product line information node associated with return invoice

      * `line_item`

        object

        Fahuodan line information associated with invoice

      * `quantity`

        integer

        Associated return units approximately Product line quantity

    * `id`

      string

      Return invoice Product line number

  * `reverse_fulfillment_seq`

    string

    Related return item order number

  * `tracking_information`

    object

    Logistics information

    * `tracking_company`

      string

      Logistics company name

    * `tracking_number`

      string

      Third party tracking number

    * `tracking_url`

      string

      Logistics tracking URL


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_return` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Skvd2g9p",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "id": {
              "name": "id",
              "description": "Return invoice id",
              "type": "string",
              "example": "RPP5873267430525507606"
            },
            "reunrn_id": {
              "name": "reunrn_id",
              "description": "Return shipping idy",
              "type": "string",
              "example": "2605873267426331203599"
            },
            "tracking_info": {
              "name": "tracking_info",
              "description": "Logistics information",
              "type": "object",
              "properties": {
                "tracking_url": {
                  "name": "tracking_url",
                  "description": "Logistics tracking URL",
                  "type": "string",
                  "example": "http://www.dhl.com/"
                },
                "tracking_company": {
                  "name": "tracking_company",
                  "description": "Logistics company name",
                  "type": "string",
                  "example": "DHL Express (Piece ID)"
                },
                "tracking_number": {
                  "name": "tracking_number",
                  "description": "Third party tracking number",
                  "type": "string",
                  "example": "5345345345"
                }
              },
              "example": {
                "tracking_company": "DHL Express (Piece ID)",
                "tracking_number": "5345345345",
                "tracking_url": "http://www.dhl.com/"
              }
            }
          },
          "example": {
            "id": "RPP5873267430525507606",
            "reunrn_id": "2605873267426331203599",
            "tracking_info": {
              "tracking_company": "DHL Express (Piece ID)",
              "tracking_number": "5345345345",
              "tracking_url": "http://www.dhl.com/"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "return_packages": {
                "name": "return_packages",
                "description": "Return invoice",
                "type": "array",
                "items": {
                  "name": "return_packages",
                  "description": "Return invoice",
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "Return invoice unique business id",
                      "type": "string",
                      "example": "RPP5873267430525507605"
                    },
                    "return_id": {
                      "name": "return_id",
                      "description": "Associated return id",
                      "type": "string",
                      "example": "2605873267426331203599"
                    },
                    "reverse_delivery_line_items": {
                      "name": "reverse_delivery_line_items",
                      "description": "Return invoice Product line information",
                      "type": "array",
                      "items": {
                        "name": "reverse_delivery_line_items",
                        "description": "Return invoice Product line information",
                        "type": "object",
                        "properties": {
                          "quantity": {
                            "name": "quantity",
                            "description": "Return invoice Product quantity",
                            "type": "integer",
                            "example": 1
                          },
                          "reverse_fulfillment_order_line_item": {
                            "name": "reverse_fulfillment_order_line_item",
                            "description": "Return shipping list Product line information node associated with return invoice",
                            "type": "object",
                            "properties": {
                              "line_item": {
                                "name": "line_item",
                                "description": "Fahuodan line information associated with invoice",
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "name": "name",
                                    "description": "SKU title, same as title",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "vendor": {
                                    "name": "vendor",
                                    "description": "Product supplier",
                                    "type": "string",
                                    "example": ""
                                  },
                                  "grams": {
                                    "name": "grams",
                                    "description": "Product weight ( grams )",
                                    "type": "double",
                                    "example": 1
                                  },
                                  "tags": {
                                    "name": "tags",
                                    "description": "Product tag , separated by ',' when there are multiple",
                                    "type": "string",
                                    "example": "sales"
                                  },
                                  "taxable": {
                                    "name": "taxable",
                                    "description": "Product incl . : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "variant_title": {
                                    "name": "variant_title",
                                    "description": "Product attribute value , multiple divided by \" / \"",
                                    "type": "string",
                                    "example": "L/Red"
                                  },
                                  "image_url": {
                                    "name": "image_url",
                                    "description": "Product link url",
                                    "type": "string",
                                    "example": "https://image.shopline.com/abc.jpg"
                                  },
                                  "sku": {
                                    "name": "sku",
                                    "description": "Merchant custom number",
                                    "type": "string",
                                    "example": "SKU1234"
                                  },
                                  "id": {
                                    "name": "id",
                                    "description": "Product row id",
                                    "type": "string",
                                    "example": "405"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "Product selling price , Product detail page sale price",
                                    "type": "string",
                                    "example": "100.0"
                                  },
                                  "variant_id": {
                                    "name": "variant_id",
                                    "description": "Product SKU serial number",
                                    "type": "string",
                                    "example": "18056898121355865678441487"
                                  },
                                  "requires_shipping": {
                                    "name": "requires_shipping",
                                    "description": "Product need to be shipped : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "properties": {
                                    "name": "properties",
                                    "description": "Product customization information",
                                    "type": "array",
                                    "items": {
                                      "name": "properties",
                                      "description": "Product customization information",
                                      "type": "object",
                                      "properties": {
                                        "type": {
                                          "name": "type",
                                          "description": "Custom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .",
                                          "type": "string",
                                          "example": "text"
                                        },
                                        "urls": {
                                          "name": "urls",
                                          "description": "Address link information",
                                          "type": "array",
                                          "items": {
                                            "name": "urls",
                                            "description": "Address link information",
                                            "type": "string",
                                            "example": "https://image.shopline.com"
                                          },
                                          "example": [
                                            "https://image.shopline.com"
                                          ]
                                        },
                                        "value": {
                                          "name": "value",
                                          "description": "Customized information content",
                                          "type": "string",
                                          "example": "Freedom"
                                        },
                                        "name": {
                                          "name": "name",
                                          "description": "Custom information object",
                                          "type": "string",
                                          "example": "Text"
                                        }
                                      },
                                      "example": {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    },
                                    "example": [
                                      {
                                        "value": "Freedom",
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ]
                                      }
                                    ]
                                  },
                                  "fulfillable_quantity": {
                                    "name": "fulfillable_quantity",
                                    "description": "Remaining Product number of required",
                                    "type": "integer",
                                    "example": 1
                                  },
                                  "fulfillment_service": {
                                    "name": "fulfillment_service",
                                    "description": "Logistics company name",
                                    "type": "string",
                                    "example": "Sf international"
                                  },
                                  "gift_card": {
                                    "name": "gift_card",
                                    "description": "Wei for gift cards or not : false、true",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "Gpu Product title",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "fulfillment_status": {
                                    "name": "fulfillment_status",
                                    "description": "Product delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shipped",
                                    "type": "string",
                                    "example": "fulfilled"
                                  },
                                  "product_id": {
                                    "name": "product_id",
                                    "description": "Spu serial number , Product unique identification number",
                                    "type": "string",
                                    "example": "16056898121352174690861487"
                                  },
                                  "attribute": {
                                    "name": "attribute",
                                    "description": "Product attribute information : name-attribute value , multiple attribute values are measured comma",
                                    "type": "string",
                                    "example": "Color-red , size-x"
                                  },
                                  "quantity": {
                                    "name": "quantity",
                                    "description": "Product quantity",
                                    "type": "integer",
                                    "example": 1
                                  }
                                },
                                "example": {
                                  "gift_card": true,
                                  "tags": "sales",
                                  "properties": [
                                    {
                                      "name": "Text",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom"
                                    }
                                  ],
                                  "attribute": "Color-red , size-x",
                                  "sku": "SKU1234",
                                  "quantity": 1,
                                  "fulfillment_status": "fulfilled",
                                  "fulfillment_service": "Sf international",
                                  "name": "It's good Product",
                                  "vendor": "",
                                  "price": "100.0",
                                  "id": "405",
                                  "variant_id": "18056898121355865678441487",
                                  "title": "It's good Product",
                                  "taxable": true,
                                  "product_id": "16056898121352174690861487",
                                  "requires_shipping": true,
                                  "variant_title": "L/Red",
                                  "grams": 1,
                                  "image_url": "https://image.shopline.com/abc.jpg",
                                  "fulfillable_quantity": 1
                                }
                              },
                              "quantity": {
                                "name": "quantity",
                                "description": "Associated return units approximately Product line quantity",
                                "type": "integer",
                                "example": 2
                              }
                            },
                            "example": {
                              "quantity": 2,
                              "line_item": {
                                "fulfillment_status": "fulfilled",
                                "id": "405",
                                "fulfillment_service": "Sf international",
                                "fulfillable_quantity": 1,
                                "sku": "SKU1234",
                                "title": "It's good Product",
                                "properties": [
                                  {
                                    "value": "Freedom",
                                    "name": "Text",
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ]
                                  }
                                ],
                                "quantity": 1,
                                "variant_id": "18056898121355865678441487",
                                "requires_shipping": true,
                                "taxable": true,
                                "variant_title": "L/Red",
                                "product_id": "16056898121352174690861487",
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "attribute": "Color-red , size-x",
                                "grams": 1,
                                "vendor": "",
                                "tags": "sales",
                                "gift_card": true,
                                "name": "It's good Product",
                                "price": "100.0"
                              }
                            }
                          },
                          "id": {
                            "name": "id",
                            "description": "Return invoice Product line number",
                            "type": "string",
                            "example": "2605860580357012238342"
                          }
                        },
                        "example": {
                          "id": "2605860580357012238342",
                          "quantity": 1,
                          "reverse_fulfillment_order_line_item": {
                            "quantity": 2,
                            "line_item": {
                              "taxable": true,
                              "id": "405",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "fulfillment_status": "fulfilled",
                              "vendor": "",
                              "variant_title": "L/Red",
                              "requires_shipping": true,
                              "fulfillment_service": "Sf international",
                              "sku": "SKU1234",
                              "fulfillable_quantity": 1,
                              "variant_id": "18056898121355865678441487",
                              "title": "It's good Product",
                              "price": "100.0",
                              "name": "It's good Product",
                              "gift_card": true,
                              "attribute": "Color-red , size-x",
                              "product_id": "16056898121352174690861487",
                              "grams": 1,
                              "quantity": 1,
                              "tags": "sales",
                              "properties": [
                                {
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ]
                                }
                              ]
                            }
                          }
                        }
                      },
                      "example": [
                        {
                          "quantity": 1,
                          "reverse_fulfillment_order_line_item": {
                            "quantity": 2,
                            "line_item": {
                              "sku": "SKU1234",
                              "price": "100.0",
                              "requires_shipping": true,
                              "fulfillment_status": "fulfilled",
                              "fulfillable_quantity": 1,
                              "attribute": "Color-red , size-x",
                              "quantity": 1,
                              "title": "It's good Product",
                              "name": "It's good Product",
                              "properties": [
                                {
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text"
                                }
                              ],
                              "gift_card": true,
                              "vendor": "",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "product_id": "16056898121352174690861487",
                              "tags": "sales",
                              "fulfillment_service": "Sf international",
                              "taxable": true,
                              "id": "405",
                              "grams": 1,
                              "variant_title": "L/Red",
                              "variant_id": "18056898121355865678441487"
                            }
                          },
                          "id": "2605860580357012238342"
                        }
                      ]
                    },
                    "reverse_fulfillment_seq": {
                      "name": "reverse_fulfillment_seq",
                      "description": "Related return item order number",
                      "type": "string",
                      "example": ""
                    },
                    "tracking_information": {
                      "name": "tracking_information",
                      "description": "Logistics information",
                      "type": "object",
                      "properties": {
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "Logistics company name",
                          "type": "string",
                          "example": "DHL Express (Piece ID)"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "Third party tracking number",
                          "type": "string",
                          "example": "5345345345"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "Logistics tracking URL",
                          "type": "string",
                          "example": "http://www.dhl.com/"
                        }
                      },
                      "example": {
                        "tracking_number": "5345345345",
                        "tracking_url": "http://www.dhl.com/",
                        "tracking_company": "DHL Express (Piece ID)"
                      }
                    }
                  },
                  "example": {
                    "id": "RPP5873267430525507605",
                    "return_id": "2605873267426331203599",
                    "reverse_delivery_line_items": [
                      {
                        "id": "2605860580357012238342",
                        "quantity": 1,
                        "reverse_fulfillment_order_line_item": {
                          "quantity": 2,
                          "line_item": {
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "name": "It's good Product",
                            "gift_card": true,
                            "id": "405",
                            "attribute": "Color-red , size-x",
                            "vendor": "",
                            "grams": 1,
                            "requires_shipping": true,
                            "fulfillment_service": "Sf international",
                            "product_id": "16056898121352174690861487",
                            "variant_id": "18056898121355865678441487",
                            "quantity": 1,
                            "fulfillable_quantity": 1,
                            "sku": "SKU1234",
                            "variant_title": "L/Red",
                            "price": "100.0",
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "tags": "sales",
                            "fulfillment_status": "fulfilled",
                            "title": "It's good Product",
                            "taxable": true
                          }
                        }
                      }
                    ],
                    "reverse_fulfillment_seq": "",
                    "tracking_information": {
                      "tracking_url": "http://www.dhl.com/",
                      "tracking_company": "DHL Express (Piece ID)",
                      "tracking_number": "5345345345"
                    }
                  }
                },
                "example": [
                  {
                    "reverse_delivery_line_items": [
                      {
                        "reverse_fulfillment_order_line_item": {
                          "line_item": {
                            "name": "It's good Product",
                            "grams": 1,
                            "variant_id": "18056898121355865678441487",
                            "sku": "SKU1234",
                            "quantity": 1,
                            "fulfillment_status": "fulfilled",
                            "fulfillment_service": "Sf international",
                            "taxable": true,
                            "id": "405",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "properties": [
                              {
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom",
                                "name": "Text"
                              }
                            ],
                            "tags": "sales",
                            "variant_title": "L/Red",
                            "requires_shipping": true,
                            "title": "It's good Product",
                            "vendor": "",
                            "attribute": "Color-red , size-x",
                            "fulfillable_quantity": 1,
                            "gift_card": true,
                            "price": "100.0",
                            "product_id": "16056898121352174690861487"
                          },
                          "quantity": 2
                        },
                        "id": "2605860580357012238342",
                        "quantity": 1
                      }
                    ],
                    "reverse_fulfillment_seq": "",
                    "tracking_information": {
                      "tracking_url": "http://www.dhl.com/",
                      "tracking_company": "DHL Express (Piece ID)",
                      "tracking_number": "5345345345"
                    },
                    "id": "RPP5873267430525507605",
                    "return_id": "2605873267426331203599"
                  }
                ]
              }
            },
            "example": {
              "return_packages": [
                {
                  "reverse_delivery_line_items": [
                    {
                      "id": "2605860580357012238342",
                      "quantity": 1,
                      "reverse_fulfillment_order_line_item": {
                        "line_item": {
                          "gift_card": true,
                          "name": "It's good Product",
                          "product_id": "16056898121352174690861487",
                          "properties": [
                            {
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom",
                              "name": "Text",
                              "type": "text"
                            }
                          ],
                          "fulfillment_status": "fulfilled",
                          "fulfillment_service": "Sf international",
                          "title": "It's good Product",
                          "id": "405",
                          "quantity": 1,
                          "fulfillable_quantity": 1,
                          "taxable": true,
                          "variant_id": "18056898121355865678441487",
                          "attribute": "Color-red , size-x",
                          "sku": "SKU1234",
                          "price": "100.0",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "variant_title": "L/Red",
                          "tags": "sales",
                          "grams": 1,
                          "vendor": "",
                          "requires_shipping": true
                        },
                        "quantity": 2
                      }
                    }
                  ],
                  "reverse_fulfillment_seq": "",
                  "tracking_information": {
                    "tracking_company": "DHL Express (Piece ID)",
                    "tracking_number": "5345345345",
                    "tracking_url": "http://www.dhl.com/"
                  },
                  "id": "RPP5873267430525507605",
                  "return_id": "2605873267426331203599"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/return_express_update.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update logistics information for a Return Fulfillment",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_return"
  ]
}
```